#pragma once

#include <memory>
#include <string>

class Image;

class PngWriter
{
public:
    static std::unique_ptr<PngWriter> Create();

    void SetPath(const std::string& path);

    void Write(const std::unique_ptr<Image>& image) const;

private:

    std::string mPath;
};

using PngWriterPtr = std::unique_ptr<PngWriter>;
